
GammaLib - Action #777

Feature # 692 (Closed): Perform an extensive interface review of all classes

Review test module classes

02/20/2013 03:20 AM - Knödlseder Jürgen

Status: Closed Start date: 02/20/2013

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 10.00 hours

Target version: 00-08-00   

Description

History

#1 - 02/20/2013 03:21 AM - Knödlseder Jürgen

The following classes have been reviewed:

Class Comment

GTestSuites Now derives from GContainer and implements all container methods

GTestSuite Now derives from GBase

GTestCase Methods returns members now all return const references

#2 - 03/16/2013 01:15 AM - Knödlseder Jürgen

Why is TestSuite not derived from GBase? Was this a Python problem?

#3 - 12/04/2013 02:10 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 50

- Remaining (hours) changed from 10.0 to 1.0

Knödlseder Jürgen wrote:

Why is TestSuite not derived from GBase? Was this a Python problem?

 

I guess the reason was that I did not want to implement the clone method for all test classes. This is now done, however.

#4 - 12/04/2013 02:30 AM - Knödlseder Jürgen

05/04/2024 1/2



- Status changed from In Progress to Closed

- % Done changed from 50 to 100

- Remaining (hours) changed from 1.0 to 0.0

Review finished.
